Trigger showback MV backfill
curl --request POST \
--url https://api.nops.io/v1/cost-allocation/{id}/mv-builds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"startMonth": "<string>",
"endMonth": "<string>"
}
'import requests
url = "https://api.nops.io/v1/cost-allocation/{id}/mv-builds"
payload = {
"startMonth": "<string>",
"endMonth": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({startMonth: '<string>', endMonth: '<string>'})
};
fetch('https://api.nops.io/v1/cost-allocation/{id}/mv-builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/cost-allocation/{id}/mv-builds"
payload := strings.NewReader("{\n \"startMonth\": \"<string>\",\n \"endMonth\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Cost allocation
Trigger showback MV backfill
Fan out Databricks MV backfill jobs for each month in the inclusive range (max 24 months). Returns a requestId grouping the materialization ledger rows.
POST
https://api.nops.io
/
v1
/
cost-allocation
/
{id}
/
mv-builds
Trigger showback MV backfill
curl --request POST \
--url https://api.nops.io/v1/cost-allocation/{id}/mv-builds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"startMonth": "<string>",
"endMonth": "<string>"
}
'import requests
url = "https://api.nops.io/v1/cost-allocation/{id}/mv-builds"
payload = {
"startMonth": "<string>",
"endMonth": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({startMonth: '<string>', endMonth: '<string>'})
};
fetch('https://api.nops.io/v1/cost-allocation/{id}/mv-builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/cost-allocation/{id}/mv-builds"
payload := strings.NewReader("{\n \"startMonth\": \"<string>\",\n \"endMonth\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Headers
Unique key for safe retries on write requests (required, max 64 characters).
Maximum string length:
64Path Parameters
Showback ID
Body
application/json
Response
Fan out Databricks MV backfill jobs for each month in the inclusive range (max 24 months). Returns a requestId grouping the materialization ledger rows.
Show child attributes
Show child attributes
Was this page helpful?